Skip to content

Change Password by Email API

After the user logs in, call this API with the email verification code and a new password to change the user's password.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationIDtoken returned by the user login API. Format is Bearer {id_token}YesStringBearer eyJraWQiOiI1ZWZhN2ZmZDA2Z...

Request Example

json
{
    "verify_code": "123456",
    "password": "P@sdsdfsdfds"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
verify_codeEmail verification codeYesStringReceived verification code
To obtain the verification code, see Send Email Verification Code API
type = CHANGE_PWD_EMS
passwordPasswordYesStringNew password to set

Response Example

Success Example

HTTP/1.1 200 OK

json

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.SMS.1006",
    "error_msg": "The email verification code is incorrect"
}

Response Parameters

None

BambooCloud IDaaS Open Platform